# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:

    # Définition des valeurs d'émission de CO2.
    incinerator_emission :
        autre : 30
        plastique :
            - PET: 40
            - PVC: 38
            - PC: 42
            - PEHD: 35
        papier: 25
        organique: 28
        metaux: 50
        verre: 50
    
    recycling_emission :
        plastique :
            - PET: 8
            - PVC: 12
            - PC: 10
            - PEHD: 11
        papier: 5
        metaux: 7
        verre: 6
    
    composter_emission :
        organique: 1

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones